package uebung04;

import java.util.ArrayList;

public class OrdinaryGame extends Game{

    private final int id;


    public OrdinaryGame(Game player1, Game player2){
        this.player1 = player1;
        this.player2 = player2;
        
        id = counter;
        counter++;
    }

    public ArrayList<String> getPlayer1(){
        return player1.getAllPlayers();
    }

    public ArrayList<String> getPlayer2(){
        return player2.getAllPlayers();
    }

    public ArrayList<String> getAllPlayers(){
        ArrayList<String> rtn = player1.getAllPlayers();
        rtn.addAll(player2.getAllPlayers());
        return rtn;
    }
    
}
